using Edu.Common.Plugin;
namespace Edu.Common.Enum.User
{
    /// <summary>
    /// 学历枚举
    /// </summary>
    public enum EducationEnum
    {
        /// <summary>
        /// 本科
        /// </summary>
        [EnumField("本科")]
        BenKe = 1,

        /// <summary>
        /// 硕士
        /// </summary>
        [EnumField("硕士")]
        ShuoShi = 2,

        /// <summary>
        /// 博士
        /// </summary>
        [EnumField("博士")]
        BoShi = 3,

        /// <summary>
        /// 大专
        /// </summary>
        [EnumField("大专")]
        DaZhuan = 4,

        /// <summary>
        /// 高中
        /// </summary>
        [EnumField("高中")]
        GaoZhong = 5,

        /// <summary>
        /// 中专
        /// </summary>
        [EnumField("中专")]
        ZhongZhuan = 6,

        /// <summary>
        /// 初中
        /// </summary>
        [EnumField("初中")]
        ChuZhong = 7,

        /// <summary>
        /// 小学
        /// </summary>
        [EnumField("小学")]
        XiaoXue = 8,
    }

    /// <summary>
    /// 在职状态枚举
    /// </summary>
    public enum LeaveStatusEnum
    {
        /// <summary>
        /// 在职
        /// </summary>
        [EnumField("在职")]
        OnJob = 1,

        /// <summary>
        /// 兼职
        /// </summary>
        [EnumField("兼职")]
        PartTime = 2,

        /// <summary>
        /// 临时工
        /// </summary>
        [EnumField("临时工")]
        TemporaryWorker = 3,

        /// <summary>
        /// 离职
        /// </summary>
        [EnumField("离职")]
        Departure = 4,
    }
}
